<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle">
    <h:form id="aaEditForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="editAssigningAuthorityList"/>
            <ui:define name="popup_title">#{messages['gazelle.PAMSimulator.ListAssigningAuthorities']}</ui:define>
            <h:outputText value="#{messages['gazelle.PAMSimulator.SelectWhichAssigningAuthoritiesToUseForFeedingTh']}"
                          styleClass="help-block"/>
            <s:div>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{patientSharingManager.selectedPreferences != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.SystemUnderTest']}</ui:define>
                        <h:outputText value="#{patientSharingManager.selectedPreferences.systemUnderTest.name}"/>
                    </s:decorate>
                </dl>
                <rich:pickList value="#{patientSharingManager.selectedPreferences.assigningAuthorities}" var="aa"
                               targetListWidth="400px" sourceListWidth="400px" sourceCaption="Available assigning authorities"
                               listsHeight="200px"
                               targetCaption="Selected assigning authorities" orderable="false"
                               rendered="#{patientSharingManager.selectedPreferences != null}">
                    <s:selectItems value="#{patientSharingManager.getAvailableAssigningAuthorities()}" var="hd"
                                   label="#{hd.namespaceID} (#{hd.universalID})"/>
                    <g:column>
                        <h:outputText value="#{aa.namespaceID}  (#{aa.universalID})" />
                    </g:column>
                </rich:pickList>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.simu.Confirm']}" oncomplete="jq162('#editAssigningAuthorityList').modal('hide')"
                                   actionListener="#{patientSharingManager.savePreferences()}"
                                   render="sutList"
                                   styleClass="gzl-btn-green"/>
                <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}" byPassUpdates="true"
                                   oncomplete="jq162('#editAssigningAuthorityList').modal('hide')"
                                   actionListener="#{patientSharingManager.setSelectedPreferences(null)}"
                                   styleClass="gzl-btn-red"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>